<!--
**********************************************************************
* Fichero:  sfd/foto.php
* Objetivo: Mostrar una foto digital
* Autor:    Pedro Reina <pedro@pedroreina.net>
* Fecha:    S.9.1.2016
**********************************************************************
-->

<?php require "../tedecea.php"; ?>

<?php require "sfd.php"; ?>

<?php Tedecea_EmiteDTD ('HTML401strict'); ?>

<HTML>

<?php Tedecea_EmiteCabecera ('Selección de fotos digitales', 'UTF-8'); ?>

<BODY>

<?php Tedecea_EmiteLogotipo(); ?>

<!-- Presentación -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo1">Selección de fotos digitales</DIV>

</DIV>

<!-- Fotografía -->

<?php EmiteFoto(); ?>

<!-- Posibilidades para seguir -->

<?php 
  $Texto = 'Volver a Selección de fotos digitales';
  $Enlace = '.';
  Tedecea_PosibilidadesSeguir ($Texto, $Enlace);
?>

<!-- Validadores -->

<?php Tedecea_EmiteValidadores(); ?>

<!-- Fin de página web -->

</BODY>

</HTML>

<!-- Programa PHP -->

<?php

function EmiteFoto()
  {
  global $ListaFotos;

  // Variables locales importantes
  $Titulo = "";      // El título de la imagen
  $Descripcion = ""; // La descripción de la imagen
  $Tecnicos = "";    // Los datos técnicos de la foto
  $Tip = "";         // El globo amarillo sobre la imagen

  // Nos pasan el nombre por la URL
  $nombre = $_GET['nombre'];

  PreparaListaFotos();

  // Vemos qué número de foto hace en la lista la que nos han pedido
  $i = 0;
  foreach ( $ListaFotos as $Foto )
    {
    if ( $nombre == $Foto['nombre'] )
      { $Numero = $i; }
    $i++;
    }

  // Calculamos el enlace a la foto anterior
  $NumeroAnterior = $Numero - 1;
  if ( $NumeroAnterior == -1 )
    {
    $EnlaceAnterior = ".";
    $TipAnterior = "Indice";
    }
  else
    {
    $EnlaceAnterior = $ListaFotos[$NumeroAnterior]['nombre'];
    $TipAnterior = $ListaFotos[$NumeroAnterior]['titulo'];
    }

  // Calculamos el enlace a la foto siguiente
  $NumeroSiguiente = $Numero + 1;
  if ( $NumeroSiguiente == count ($ListaFotos) )
    {
    $EnlaceSiguiente = ".";
    $TipSiguiente = "Indice";
    }
  else
    {
    $EnlaceSiguiente = $ListaFotos[$NumeroSiguiente]['nombre'];
    $TipSiguiente = $ListaFotos[$NumeroSiguiente]['titulo'];
    }

  // Encontramos las dimensiones de la imagen, si existe
  $TamanoImagenMediana = @GetImageSize ("med/$nombre.jpg");

  if ( $TamanoImagenMediana )
    {
    $DimensionesImagen = $TamanoImagenMediana[3];

    // Leemos el archivo de texto de la foto
    $Listado = file ("tex/$nombre.txt");

    // El título es la línea 0
    $Titulo = trim ($Listado[0]);

    // Buscamos cuál es la última línea en blanco
    $Ultima = 1;
    for ( $i=2 ; $i < count($Listado) ; $i++ )
      {
      $Linea = trim ($Listado[$i]);
      if ( strlen ($Linea) == 0 )
        { $Ultima = $i; }
      }

    // La descripción va de la línea 2 a la anterior
    // a la última en blanco
    for ( $i=2 ; $i<=$Ultima ; $i++ )
      { $Descripcion .= $Listado[$i]; }

    // Los datos técnicos van de la línea siguiente
    // a la última en blanco hasta el final
    for ( $i=$Ultima+1 ; $i<count($Listado) ; $i++ )
      { $Tecnicos .= $Listado[$i]; }
    $Tecnicos = rtrim ($Tecnicos);

    // Encontramos las dimensiones de la imagen final, si existe
    $TamanoImagenFinal = @GetImageSize ("fin/$nombre.jpg");

    if ( $TamanoImagenFinal )
      {
      $Anchura = $TamanoImagenFinal[0];
      $Altura = $TamanoImagenFinal[1];

      // Encontramos el espacio que ocupa la imagen final
      $Espacio = round (filesize ("fin/$nombre.jpg") / 1024);

      // Preparamos el globo amarillo
      $Tip = $Titulo . ": " . $Anchura . "x" . $Altura . ", " .
             $Espacio . " kB";
      }
    }

  else // La imagen mediana no existe
    {
    $Titulo = "¡Error!";
    $Descripcion = "La foto <B>$nombre</B> no existe";
    }

  $CodigoHTML=<<<HTML

  <DIV CLASS="cuadro">

    <DIV CLASS="titulo2">
      <SPAN STYLE="float:left; width:5em; text-align:left">
      <A HREF="$EnlaceAnterior" TITLE="$TipAnterior">&nbsp;&lt;&lt;&lt;&nbsp;</A>
      </SPAN>
      <SPAN STYLE="float:right; width:5em; text-align:right">
      <A HREF="$EnlaceSiguiente" TITLE="$TipSiguiente">&nbsp;&gt;&gt;&gt;&nbsp;</A>
      </SPAN>
      $Titulo
    </DIV>

    <DIV CLASS="contenido">

      <P CLASS="centrado">
      <A HREF="fin/$nombre.jpg">
      <IMG SRC="med/$nombre.jpg" CLASS="sinborde"
           $DimensionesImagen ALT="$Titulo" TITLE="$Tip">
      </A>
      <P>$Descripcion

    </DIV>

  </DIV>

HTML;
  print $CodigoHTML;

  if ( $Tecnicos )
    {
    $CodigoHTML=<<<HTML

    <DIV CLASS="cuadro">

      <DIV CLASS="titulo3">Datos técnicos de la foto</DIV>

      <DIV CLASS="contenido">
        <PRE>
$Tecnicos</PRE>
      </DIV>

    </DIV>

HTML;
      print $CodigoHTML;
    }
  }

?>
