<!--
**********************************************************************
* Fichero:  sfd/index.php
* Objetivo: Selección de fotos digitales
* Autor:    Pedro Reina <pedro@pedroreina.net>
* Fecha:    D.10.1.2016
**********************************************************************
-->

<?php require "../tedecea.php"; ?>

<?php require "sfd.php"; ?>

<?php Tedecea_EmiteDTD ('HTML401strict'); ?>

<HTML>

<?php Tedecea_EmiteCabecera ('Selección de fotos digitales', 'UTF-8'); ?>

<BODY>

<?php Tedecea_EmiteLogotipo(); ?>

<!-- Presentación -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo1">Selección de fotos digitales</DIV>

  <DIV CLASS="contenido">

  Alguna de las fotos que realizo me gusta lo suficiente como
  para cuidarla especialmente. Cuando veo que les puede venir bien,
  las reencuadro o las retoco un poco y dejo aquí el resultado.
  Todas las fotografías de esta página pueden ser utilizadas,
  modificadas, distribuidas y distribuidas las modificaciones
  libremente, incluso sin citar el origen, aunque se agradecerá
  la mención.

  </DIV>

</DIV>

<!-- Fotografías -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo2">Fotografías</DIV>

  <DIV CLASS="contenido">
    <P CLASS="centrado">
    <?php EmiteMiniaturas(); ?>
    <BR STYLE="clear:both">
  </DIV>

</DIV>

<!-- Notas técnicas -->

<DIV CLASS="cuadro">

  <DIV CLASS="titulo3">Notas técnicas</DIV>

  <DIV CLASS="contenido">

  El programa que muestra estas fotos está escrito en PHP y del
  sistema de redirecciones de las URL se encarga el módulo
  <A HREF="http://httpd.apache.org/docs/1.3/mod/mod_rewrite.html">mod_rewrite</A>
  de Apache. Los archivos principales de este sistema se entregan con licencia
  <A HREF="http://creativecommons.org/licenses/publicdomain/">Dominio
  Público</A> en este archivo:
  <A HREF="sfd-20160110.zip">sfd-20160110.zip</A>.

  </DIV>

</DIV>

<!-- Posibilidades para seguir -->

<?php Tedecea_PosibilidadesSeguir(); ?>

<!-- Validadores -->

<?php Tedecea_EmiteValidadores(); ?>

<!-- Fin de página web -->

</BODY>

</HTML>

<!-- Programa PHP -->

<?php

function EmiteMiniaturas()
  {
  global $ListaFotos;

  PreparaListaFotos();

  foreach ( $ListaFotos as $Foto )
    {
    $Titulo = $Foto['titulo'];
    $Nombre = $Foto['nombre'];

    print "<A HREF=\"$Nombre\" TITLE=\"$Titulo\">\n";
    print "<SPAN CLASS=\"cuadrado\" " .
          "STYLE=\"background-image: url(min/$Nombre.jpg)\">\n";
    print "</SPAN></A>\n";
    }
  }

?>
